// Set up global variables for all the animated layers
var $driehoekTxt, $driehoekGroen, $lijn2, $driehoekWit, $lijn, $logo, $txt_1, $txt_3, $cta_button, $glare_top, $glare_bottom, $button_arrow, $button_txt, $clicktag;
var firstShow = true;

function init() {
	// Declare the global variables
	$driehoekTxt 	= document.getElementById('driehoekTxt');
	$driehoekgeel 	= document.getElementById('driehoekgeel');
	$driehoekGroen 	= document.getElementById('driehoekGroen');
	$lijn2 			= document.getElementById('lijn2');
	$driehoekWit	= document.getElementById('driehoekWit');
	$lijn			= document.getElementById('lijn');
	$logo			= document.getElementById('logo');
	$txt_1			= document.getElementById('txt_1');
	$cta_button 	= document.getElementById('cta_button');
	$glare_top 		= document.getElementById('glare_top');
	$glare_bottom 	= document.getElementById('glare_bottom');
	$button_arrow 	= document.getElementById('button_arrow');
	$button_txt 	= document.getElementById('button_txt');
	$clicktag	 	= document.getElementById('clicktag');
	
	// Set start values
	TweenMax.set($driehoekgeel, {x:120, autoAlpha:0});
	TweenLite.set($driehoekTxt, {y:-963, autoAlpha:1});
	TweenLite.set($driehoekGroen, {x:-96, y:300, autoAlpha:.16});
	TweenLite.set($lijn2, {x:206, y:417, autoAlpha:1, rotation:90});
	TweenLite.set($driehoekWit, {x:134, y:82, autoAlpha:1});
	TweenLite.set($lijn, {x:160, y:230, autoAlpha:1});
	TweenMax.set($logo, {autoAlpha:0});
	TweenMax.set($txt_1, {x:-5, autoAlpha:0});
	TweenMax.set($cta_button, {autoAlpha:0});
	TweenMax.set($button_arrow, {x:78});
	TweenMax.set($button_txt, {x:10});
	resetGlare();
	
	// Start animations
	animate();
	
	// Add event listeners
	addEvent($cta_button, 'mouseenter', enterButton);
	addEvent($cta_button, 'mouseleave', outButton);
	addEvent($cta_button, 'click', exitHandler);
	addEvent($clicktag, 'click', exitHandler);
}

function animate() {
	TweenLite.to($driehoekTxt, 1, {y:-436, ease:Quad.easeOut});
	TweenLite.to($driehoekGroen, 1, {x:-333, y:118, ease:Quad.easeOut});
TweenLite.to($lijn2, .25, {autoAlpha:1, ease:Linear.easeNone, delay:3});
	TweenLite.to($lijn2, .75, {x:-67, y:229, ease:Linear.easeNone, delay:3});
	TweenLite.to($driehoekWit, 1, {x:-312, y:406, ease:Quad.easeOut, delay:1});
	TweenLite.to($lijn, .5, {x:-117, y:434, ease:Quad.easeOut, delay:1});
	TweenMax.to($logo, .25, {autoAlpha:1, ease:Quad.easeOut, delay:1.75});
	TweenMax.to($txt_1, .75, {x:6, autoAlpha:1, ease:Quad.easeOut, delay:.75});
	TweenMax.to($driehoekgeel, 1.25, {x:8, autoAlpha:1, ease:Quad.easeOut, delay:2.25});
	
	TweenMax.to($cta_button, .75, {autoAlpha:1, delay:2.25, ease:Linear.easeNone, onComplete:animateGlare});
}

function animateGlare() {
	resetGlare();
	TweenMax.to($glare_top, .25, {autoAlpha:1, ease:Linear.easeNone});
	TweenMax.to($glare_top, .375, {y:'50%', ease:Linear.easeNone, delay:.125});
	TweenMax.to($glare_bottom, .25, {autoAlpha:1, ease:Linear.easeNone, delay:.3125});
	TweenMax.to($glare_bottom, .375, {y:'50%', ease:Linear.easeNone, delay:.4375, onComplete:function() {
		if (firstShow) {
			firstShow = false;
			setTimeout(animateGlare, 1000);
		}
	}});
}

function enterButton() {
	TweenMax.to($button_arrow, .5, {x:82});
	TweenMax.to($button_txt, .5, {x:7});
	animateGlare();
}

function outButton() {
	TweenMax.to($button_arrow, .5, {x:78});
	TweenMax.to($button_txt, .5, {x:10});
	animateGlare();
}

function exitHandler() {
	Enabler.exit();
}

function resetGlare() {
	TweenMax.set($glare_top, {y:'-100%', autoAlpha:0});
	TweenMax.set($glare_bottom, {y:'-100%', autoAlpha:0});
}

function addEvent(element, myEvent, fnc) {
    return ((element.attachEvent) ? element.attachEvent('on' + myEvent, fnc) : element.addEventListener(myEvent, fnc, false));
}