// Set up global variables for all the animated layers
var $driehoekTxt, $driehoekGroen, $lijn2, $driehoekWit, $lijn, $logo, $txt_1, $txt_2, $txt_3, $cta_button, $glare_top, $glare_bottom, $button_arrow, $button_txt, $clicktag;
var firstShow = true;

function init() {
	// Declare the global variables
	$driehoekTxt 	= document.getElementById('driehoekTxt');
	$moneyview 		= document.getElementById('moneyview');
	$driehoekgeel 	= document.getElementById('driehoekgeel');
	$driehoekGroen 	= document.getElementById('driehoekGroen');
	$lijn2 			= document.getElementById('lijn2');
	$driehoekWit	= document.getElementById('driehoekWit');
	$lijn			= document.getElementById('lijn');
	$logo			= document.getElementById('logo');
	$txt_1			= document.getElementById('txt_1');
	$txt_2			= document.getElementById('txt_2');
	$cta_button 	= document.getElementById('cta_button');
	$glare_top 		= document.getElementById('glare_top');
	$glare_bottom 	= document.getElementById('glare_bottom');
	$button_arrow 	= document.getElementById('button_arrow');
	$button_txt 	= document.getElementById('button_txt');
	$clicktag	 	= document.getElementById('clicktag');
	
	// Set start values
	TweenMax.set($moneyview, {x:0, autoAlpha:0});
	TweenMax.set($driehoekgeel, {x:80, autoAlpha:0});
	TweenMax.set($driehoekTxt, {x:-184, autoAlpha:1});
	TweenMax.set($driehoekGroen, {x:145, y:82, autoAlpha:0.16});
	TweenMax.set($lijn2, {x:203, y:238, autoAlpha:0, rotation:90});
	TweenMax.set($driehoekWit, {x:329, y:-210, autoAlpha:1});
	TweenMax.set($lijn, {x:336, y:-75, autoAlpha:1});
	TweenMax.set($logo, {autoAlpha:0});
	TweenMax.set($txt_1, {x:35, autoAlpha:0});
	TweenMax.set($txt_2, {x:35, autoAlpha:0});
	TweenMax.set($cta_button, {autoAlpha:0});
	TweenMax.set($button_arrow, {x:125});
	TweenMax.set($button_txt, {x:10});
	resetGlare();
	
	// Start animations
	animate();
	
	// Add event listeners
	addEvent($cta_button, 'mouseenter', enterButton);
	addEvent($cta_button, 'mouseleave', outButton);
	addEvent($cta_button, 'click', exitHandler);
	addEvent($clicktag, 'click', exitHandler);
}

function animate() {
	TweenMax.to($driehoekTxt, 1, {x:-92, ease:Quad.easeOut});
	TweenMax.to($driehoekGroen, 1, {x:-212, y:-176, ease:Quad.easeOut});
	TweenMax.to($lijn2, .25, {autoAlpha:1, ease:Linear.easeNone, delay:3});
	TweenMax.to($lijn2, .75, {x:-212, y:-176, ease:Linear.easeNone, delay:3});
	TweenMax.to($driehoekWit, 1, {x:19, y:100, ease:Quad.easeOut, delay:1});
	TweenMax.to($lijn, .5, {x:70, y:190, ease:Quad.easeOut, delay:1});
	TweenMax.to($logo, .25, {autoAlpha:1, ease:Quad.easeOut, delay:1.75});
	TweenMax.to($txt_1, .75, {x:25, autoAlpha:1, ease:Quad.easeOut, delay:.75});
	TweenMax.to($txt_1, .5, {x:5, autoAlpha:0, ease:Quad.easeOut, delay:2.5});
	TweenMax.to($txt_2, .75, {x:25, autoAlpha:1, ease:Quad.easeOut, delay:3});
	TweenMax.to($driehoekgeel, 1.25, {x:5, autoAlpha:1, ease:Quad.easeOut, delay:3.25});
	TweenMax.to($moneyview, 1.25, {x:0, autoAlpha:1, ease:Quad.easeOut, delay:3.25});
	
	TweenMax.to($cta_button, .75, {autoAlpha:1, delay:3.25, ease:Linear.easeNone, onComplete:animateGlare});
}

function animateGlare() {
	resetGlare();
	TweenMax.to($glare_top, .25, {autoAlpha:1, ease:Linear.easeNone});
	TweenMax.to($glare_top, .375, {y:'50%', ease:Linear.easeNone, delay:.125});
	TweenMax.to($glare_bottom, .25, {autoAlpha:1, ease:Linear.easeNone, delay:.3125});
	TweenMax.to($glare_bottom, .375, {y:'50%', ease:Linear.easeNone, delay:.4375, onComplete:function() {
		if (firstShow) {
			firstShow = false;
			setTimeout(animateGlare, 1000);
		}
	}});
}

function enterButton() {
	TweenMax.to($button_arrow, .5, {x:128});
	TweenMax.to($button_txt, .5, {x:7});
	animateGlare();
}

function outButton() {
	TweenMax.to($button_arrow, .5, {x:125});
	TweenMax.to($button_txt, .5, {x:10});
	animateGlare();
}

function exitHandler() {
	Enabler.exit();
}

function resetGlare() {
	TweenMax.set($glare_top, {y:'-100%', autoAlpha:0});
	TweenMax.set($glare_bottom, {y:'-100%', autoAlpha:0});
}

function addEvent(element, myEvent, fnc) {
    return ((element.attachEvent) ? element.attachEvent('on' + myEvent, fnc) : element.addEventListener(myEvent, fnc, false));
}